# $Revision: 1.21 $, $Date: 2012/06/18 12:04:55 $
#
# Conditional build:
%bcond_with	tests		# check-based tests

Summary:	OpenVPN Auth-LDAP Plugin
Summary(pl.UTF-8):	Wtyczka Auth-LDAP dla OpenVPN
Name:		openvpn-plugin-auth-ldap
Version:	2.0.3
Release:	9
License:	BSD
Group:		Applications
Source0:	http://openvpn-auth-ldap.googlecode.com/files/auth-ldap-%{version}.tar.gz
# Source0-md5:	03dedc57efc8d4fc2ffe2c014121299d
Patch0:		%{name}-make.patch
Patch1:		%{name}-objc-include.patch
URL:		http://code.google.com/p/openvpn-auth-ldap/
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_tests:BuildRequires:	check}
BuildRequires:	gcc-objc
BuildRequires:	openldap-devel
BuildRequires:	openvpn-devel
BuildRequires:	re2c
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		%{_prefix}/%{_lib}/openvpn/plugins
%define		_sysconfdir	/etc/openvpn

%description
The openvpn-auth-ldap plugin implements username/password
authentication via LDAP.

%description -l pl.UTF-8
Wtyczka openvpn-auth-ldap implementuje uwierzytelnianie nazwą
użytkownika i hasłem poprzez LDAP.

%prep
%setup -q -n auth-ldap-%{version}
%patch0 -p1
%patch1 -p1

> objc.m4

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub .
%configure \
	--with-objc-runtime=GNU \
	--with-check=%{!?with_tests:/proc}%{?with_tests:/usr} \
	--with-openldap=/usr \
	--with-openvpn=/usr

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -a auth-ldap.conf $RPM_BUILD_ROOT%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/auth-ldap.conf
%attr(755,root,root) %{_libdir}/openvpn-auth-ldap.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openvpn-plugin-auth-ldap.spec,v $
Revision 1.21  2012/06/18 12:04:55  baggins
- release 9

Revision 1.20  2012/06/15 15:46:17  baggins
- rel 8
- fix check for no longer existing objc-api.h file

Revision 1.19  2012/06/15 15:20:02  baggins
- rel 7
- rebuild with gcc 4.7.1

Revision 1.18  2011/11/27 23:01:23  adwol
- fixed undefined references errors during compilation

Revision 1.17  2011/10/22 07:23:16  arekm
- release 5

Revision 1.16  2011/10/02 10:56:00  arekm
- release 4

Revision 1.15  2011/08/13 22:10:10  glen
- partial fix for bulding with current gcc

Revision 1.14  2010/12/02 15:02:38  glen
- verbose files

Revision 1.13  2008/12/03 18:06:34  qboosh
- fixed(?) tests bcond

Revision 1.12  2008/12/02 13:37:54  glen
- release 3

Revision 1.11  2008/12/02 13:14:24  glen
- release 2

Revision 1.10  2008/12/02 13:13:57  glen
- update to 2.0.3

Revision 1.9  2007/11/03 02:10:03  baggins
- updated openldap BR/R to 2.4.6

Revision 1.8  2007/02/13 07:16:51  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:17  baggins
- converted to UTF-8

Revision 1.6  2006/01/22 16:17:55  qboosh
- BR: automake

Revision 1.5  2006/01/20 23:59:29  glen
- updated to 1.0.3. this version has strlcpy.c in sources

Revision 1.4  2005/10/06 22:10:38  glen
- I was on right track, TODO removed :)

Revision 1.3  2005/10/06 14:38:46  qboosh
- pl

Revision 1.2  2005/10/06 11:10:20  glen
- todo for future

Revision 1.1  2005/10/03 16:06:05  glen
- new
